package com.persagy.adm.server.algorithm.dao;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.persagy.adm.server.algorithm.entity.AdmModelFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * adm模型文件DAO接口
 * @author : lijie
 * Update By 2022/1/19 16:53
 */
public interface AdmModelFileMapper extends BaseMapper<AdmModelFile> {
    /**
     * 根据楼层id查询楼层当前的模型文件信息
     * @param wrapper :查询条件
     * @return : java.util.List<com.persagy.adm.server.algorithm.entity.AdmModelFile>
     * @author : lijie
     * Update By 2022/1/19 16:49
     */
    List<AdmModelFile> queryCurrentModelFileByFloorIds(@Param(Constants.WRAPPER) Wrapper<AdmModelFile> wrapper);
    /**
     * 插入实体对象
     * @param modelFile : 模型文件
     * return : void
     * @author : lijie
     * Update By 2022/1/19 18:33
     */
    void insertEntity(@Param("et") AdmModelFile modelFile);
}




